[Unit]
Description=wls: Oracle Weblogic startup script for SmartVista system
After=network.target
RequiresMountsFor={{ wl_home }}

[Service]
Type=forking
RemainAfterExit=yes
KillMode=none
TimeoutStartSec=20min
TimeoutStopSec=10min
User={{ wl_user }}
Group={{ wl_group }}
ExecStart=/etc/init.d/wls{{wl_version.base_version}}_{{ domain.domain_name }} start
ExecStop=/etc/init.d/wls{{wl_version.base_version}}_{{ domain.domain_name }} stop
Restart=no


LimitNOFILE=65536
LimitNPROC=16384

[Install]
# Puts wants directive for the other units in the relationship
WantedBy=default.target

#Rev3
